import { Injectable } from "@angular/core";
import {
  CanActivate,
  ActivatedRouteSnapshot,
  RouterStateSnapshot,
  Router,
} from "@angular/router";
import { Observable } from "rxjs";
import { TranslateService } from "@ngx-translate/core";

@Injectable()
export class AuthGuard implements CanActivate {
  translateService: any;

  constructor(private router: Router, public translate: TranslateService) {
    this.translateService = translate;
  }

  canActivate(
    next: ActivatedRouteSnapshot,
    state: RouterStateSnapshot
  ): Observable<boolean> | Promise<boolean> | boolean {
    if (sessionStorage.getItem("currentUser")) {
      return true;
    }
    this.router.navigate([
      "/" + this.translateService.get("i18n.code").value + "/login",
    ]);
    return false;
  }
}
